# Namespace: language_module

## language_module

Módulo de internacionalización, utilizado para gestionar el idioma desplegado en nicho y comunidad ecológica.

Source:
  - language_module.js, line 1

### Methods

#### (private, static) ._initilizeElementsForLanguage(main_pede, tipo_modulo)

Éste método inicializa las variables necesarias para el proceso de internacionalización y realiza la carga de los archivos de idiomas.

##### Parameters:

Name | Type | Description
--- | --- | ---
`main_pede` | object | Referencia al controlador de nicho o communidad ecológica
`tipo_modulo` | integer | Tipo de controlador para enlazar el módulo de internacionalización

Source:
  - language_module.js, line 23

#### (private, static) ._loadLabels(first_load)

Éste método realiza la actualización de los labels de los elementos visuales de de nicho y comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`first_load` | boolean | Bandera que indica si es la primera carga del módulo de internacionalización

Source:
  - language_module.js, line 184

#### (private, static) ._updateLanguageModules(first_load)

Éste método actualiza los labels de los controladores de nicho, comunidad y del módulo variable.

##### Parameters:

Name | Type | Description
--- | --- | ---
`first_load` | boolean | Bandera que indica si es la primera carga del módulo de internacionalización

Source:
  - language_module.js, line 133

#### (static) .addModuleForLanguage(res_display_module, histogram_module, map_module, variable_module)

Éste método asigna a variables globales instancias de los módulos de histograma, mapa y controladores de nicho y comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`res_display_module` | object | Controlador de nicho ecológico
`histogram_module` | object | Módulo histograma
`map_module` | object | Módulo mapa
`variable_module` | object | Módulo variable

Source:
  - language_module.js, line 156

#### (private, static) .startLanguageModule(main_pede, tipo_modulo)

Éste método realiza el llmado a la función que inicializa las variables necesarias para el proceso de internacionalización.

##### Parameters:

Name | Type | Description
--- | --- | ---
`main_pede` | object | Referencia al controlador de nicho o communidad ecológica
`tipo_modulo` | integer | Tipo de controlador para enlazar el módulo de internacionalización

Source:
  - language_module.js, line 452